[arch-commits] Commit in lighttpd/repos (6 files)

Allan McRae allan at archlinux.org
Wed Feb 8 18:59:41 EST 2012


    Date: Wednesday, February 8, 2012 @ 18:59:40
  Author: allan
Revision: 149668

db-move: moved lighttpd from [staging] to [testing] (i686)

Added:
  lighttpd/repos/testing-i686/
  lighttpd/repos/testing-i686/PKGBUILD
    (from rev 149641, lighttpd/repos/staging-i686/PKGBUILD)
  lighttpd/repos/testing-i686/lighttpd.conf
    (from rev 149641, lighttpd/repos/staging-i686/lighttpd.conf)
  lighttpd/repos/testing-i686/lighttpd.logrotate.d
    (from rev 149641, lighttpd/repos/staging-i686/lighttpd.logrotate.d)
  lighttpd/repos/testing-i686/lighttpd.rc.d
    (from rev 149641, lighttpd/repos/staging-i686/lighttpd.rc.d)
Deleted:
  lighttpd/repos/staging-i686/

----------------------+
 PKGBUILD             |   67 ++++++++++++++++++++++++
 lighttpd.conf        |   12 ++++
 lighttpd.logrotate.d |    9 +++
 lighttpd.rc.d        |  132 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 220 insertions(+)

Copied: lighttpd/repos/testing-i686/PKGBUILD (from rev 149641, lighttpd/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-02-08 23:59:40 UTC (rev 149668)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=lighttpd
+pkgver=1.4.30
+pkgrel=3
+pkgdesc='a secure, fast, compliant and very flexible web-server'
+license=('custom')
+arch=('i686' 'x86_64')
+url="http://www.lighttpd.net/"
+depends=('pcre' 'bzip2' 'libldap' 'util-linux')
+makedepends=('fcgi' 'libmysqlclient' 'lua' 'libxml2' 'e2fsprogs' 'sqlite3' 'gdbm' 'pkgconfig')
+optdepends=('libxml2: mod_webdav'
+            'lua: mod_cml/mod_magnet'
+            'libmysqlclient: mod_mysql_vhost'
+            'sqlite3: mod_webdav')
+backup=('etc/lighttpd/lighttpd.conf' 'etc/logrotate.d/lighttpd')
+options=('!libtool' 'emptydirs')
+source=("http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz"
+        "http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz.asc"
+        'lighttpd.rc.d' 'lighttpd.logrotate.d' 'lighttpd.conf')
+sha256sums=('c237692366935b19ef8a6a600b2f3c9b259a9c3107271594c081a45902bd9c9b'
+            '941ab747aeb97ca111fb670d21eefecdf745debc5e139bc5bd6881ee66b2742a'
+            'ceff3a88e876f6104c094379d507b89bc504777d0f98a0930406a70624fcf024'
+            '550aa1abaced6bc9e8d65c2b069bfc96bf4d06734b17eeb140c5d00705de1230'
+            'ee56422fe48f2683ccb5ca2e3dc6bad79ea8e1cbd043b21d2ea73b87018e35aa')
+
+build() {
+	cd $srcdir/$pkgname-$pkgver
+
+	./configure --prefix=/usr \
+		--libexecdir=/usr/lib/lighttpd/modules \
+		--sysconfdir=/etc/lighttpd \
+		--with-mysql \
+		--with-ldap \
+		--with-attr \
+		--with-openssl \
+		--with-kerberos5 \
+		--without-fam \
+		--with-webdav-props \
+		--with-webdav-locks \
+		--with-gdbm \
+		--with-memcache \
+		--with-lua
+	make
+}
+
+check() {
+	cd $srcdir/$pkgname-$pkgver
+	make check
+}
+
+package() {
+	cd $srcdir/$pkgname-$pkgver
+	make DESTDIR=$pkgdir install
+
+	install -D -m755 $srcdir/lighttpd.rc.d $pkgdir/etc/rc.d/lighttpd
+	install -D -m644 $srcdir/lighttpd.logrotate.d $pkgdir/etc/logrotate.d/lighttpd
+	install -D -m644 $srcdir/lighttpd.conf $pkgdir/etc/lighttpd/lighttpd.conf
+	install -d -m755 -o http -g http $pkgdir/var/{log,cache}/lighttpd/
+
+	pushd doc/config >/dev/null
+	find . -type f ! -name 'Makefile*' -exec install -D -m644 {} ${pkgdir}/usr/share/doc/lighttpd/config/{} \;
+	popd >/dev/null
+
+	install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+}

Copied: lighttpd/repos/testing-i686/lighttpd.conf (from rev 149641, lighttpd/repos/staging-i686/lighttpd.conf)
===================================================================
--- testing-i686/lighttpd.conf	                        (rev 0)
+++ testing-i686/lighttpd.conf	2012-02-08 23:59:40 UTC (rev 149668)
@@ -0,0 +1,12 @@
+# This is a minimal example config
+# See /usr/share/doc/lighttpd
+# and http://redmine.lighttpd.net/projects/lighttpd/wiki/Docs:ConfigurationOptions
+
+server.port		= 80
+server.username		= "http"
+server.groupname	= "http"
+server.document-root	= "/srv/http"
+server.errorlog		= "/var/log/lighttpd/error.log"
+dir-listing.activate	= "enable"
+index-file.names	= ( "index.html" )
+mimetype.assign		= ( ".html" => "text/html", ".txt" => "text/plain", ".jpg" => "image/jpeg", ".png" => "image/png", "" => "application/octet-stream" )

Copied: lighttpd/repos/testing-i686/lighttpd.logrotate.d (from rev 149641, lighttpd/repos/staging-i686/lighttpd.logrotate.d)
===================================================================
--- testing-i686/lighttpd.logrotate.d	                        (rev 0)
+++ testing-i686/lighttpd.logrotate.d	2012-02-08 23:59:40 UTC (rev 149668)
@@ -0,0 +1,9 @@
+/var/log/lighttpd/*log {
+	missingok
+	copytruncate
+	notifempty
+	sharedscripts
+	postrotate
+	/etc/rc.d/lighttpd reload >/dev/null || true
+	endscript
+}

Copied: lighttpd/repos/testing-i686/lighttpd.rc.d (from rev 149641, lighttpd/repos/staging-i686/lighttpd.rc.d)
===================================================================
--- testing-i686/lighttpd.rc.d	                        (rev 0)
+++ testing-i686/lighttpd.rc.d	2012-02-08 23:59:40 UTC (rev 149668)
@@ -0,0 +1,132 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+
+pid_file='/var/run/lighttpd/lighttpd-angel.pid'
+
+get_pid() {
+	if [ -r "${pid_file}" ]; then
+		cat "${pid_file}"
+	else
+		pgrep -f /usr/sbin/lighttpd-angel
+	fi
+}
+
+test_config() {
+	stat_busy 'Checking configuration'
+	if [ $(id -u) -ne 0 ]; then
+		stat_append '(This script must be run as root)'
+		stat_die
+	fi
+
+	if [ ! -r /etc/lighttpd/lighttpd.conf ]; then
+		stat_append '(/etc/lighttpd/lighttpd.conf not found)'
+		stat_die
+	fi
+
+	/usr/sbin/lighttpd -t -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1
+	if [ $? -gt 0 ]; then
+		stat_append '(error in /etc/lighttpd/lighttpd.conf)'
+		stat_die
+	fi
+
+	local piddir=$(dirname "${pid_file}")
+	if [ ! -d "${piddir}" ]; then
+		install -d -m755 -o http -g http "${piddir}"
+	fi
+
+	stat_done
+}
+
+start() {
+	stat_busy 'Starting lighttpd'
+
+	local PID=$(get_pid)
+	if [ -z "$PID" ]; then
+		nohup /usr/sbin/lighttpd-angel -D -f /etc/lighttpd/lighttpd.conf >>/var/log/lighttpd/lighttpd-angel.log 2>&1 &
+		if [ $? -gt 0 ]; then
+			stat_die
+		else
+			echo $! > "${pid_file}"
+			add_daemon lighttpd
+			stat_done
+		fi
+	else
+		stat_die
+	fi
+}
+
+stop() {
+	stat_busy 'Stopping lighttpd'
+	local PID=$(get_pid)
+	[ -n "$PID" ] && kill $PID &> /dev/null
+	if [ $? -gt 0 ]; then
+		stat_fail
+	else
+		[ -f "${pid_file}" ] && rm -f "${pid_file}"
+		rm_daemon lighttpd
+		stat_done
+	fi
+}
+
+gracefull-stop() {
+	stat_busy 'Stopping lighttpd gracefully'
+	local PID=$(get_pid)
+	[ -n "$PID" ] && kill -INT $PID &> /dev/null
+	if [ $? -gt 0 ]; then
+		stat_fail
+	else
+		[ -f "${pid_file}" ] && rm -f "${pid_file}"
+		rm_daemon lighttpd
+		stat_done
+	fi
+}
+
+reload() {
+	stat_busy 'Reloading lighttpd'
+	local PID=$(get_pid)
+	[ -n "$PID" ] && kill -HUP $PID &> /dev/null
+	if [ $? -gt 0 ]; then
+		stat_die
+	else
+		stat_done
+	fi
+}
+
+
+case "$1" in
+	start)
+		test_config
+		start
+		;;
+	stop)
+		test_config
+		stop
+		;;
+	gracefull-stop)
+		test_config
+		stop
+		;;
+	reload)
+		test_config
+		reload
+		;;
+	restart)
+		test_config
+		stop
+		while [ -n "$(get_pid)" ]; do
+			sleep 1
+		done
+		start
+		;;
+	status)
+		stat_busy 'Checking lighttpd status'
+		ck_status lighttpd
+		;;
+	*)
+	echo "usage: $0 {start|stop|gracefull-stop|reload|restart|status}"
+esac
+
+exit 0



More information about the arch-commits mailing list